Bug 1316707 - ICE: in extract_ops_from_tree, at gimple-expr.h:158
ICE: in extract_ops_from_tree, at gimple-expr.h:158
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
24
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2016-03-10 16:05 EST by Dan Horák
Modified: 2016-04-05 09:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 09:33:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source file (397.50 KB, application/x-gzip)
2016-03-10 16:05 EST, Dan Horák
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 70177 None None None 2016-03-10 17:55 EST

  None (edit)
Description Dan Horák 2016-03-10 16:05:44 EST
Created attachment 1135046 [details]
preprocessed source file

build of wxmacmolplt-7.6.2-1.fc24 fails because g++ fails with an internal error, see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2149556 for full logs


command to reproduce
g++ -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10 -c -o MEP.o MEP.i

...
MEP.cpp: In member function ‘float Frame::CalculateMEP(float, float, float, BasisSet*, AODensity*, GaussHermiteData*, float*, float*)’:
MEP.cpp:1089:1: internal compiler error: in extract_ops_from_tree, at gimple-expr.h:158
...

with -O1 the error goes away

Version-Release number of selected component (if applicable):
gcc-6.0.0-0.15.fc24.s390x
Comment 1 Jakub Jelinek 2016-03-10 16:13:39 EST
Reproduced, reducing...
Comment 2 Dan Horák 2016-03-17 07:30:41 EDT
fixed with gcc-6.0.0-0.16.fc24.s390x

Note You need to log in before you can comment on or make changes to this bug.